Subject: Re: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2020 19:07:34 +0200

> Date: Fri, 6 Mar 2020 16:30:24 +0000 (GMT)
> From: ndame <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> Ok, will do if it happens again. I don't know what triggers it, because
> it happens only occasionally.

Thanks.

> The strange thing is it would be a logical explanation that emacs substracts
> the new time from the timer and it makes it go negative (though I haven't 
> checked how it is implemented), but usually only one of the timers go 
> negative, not all of them, so the bug does not affect all timers when it 
> happens.

AFAICS, Emacs doesn't subtract to compute the "next" time, it actually
_adds_.  That's why I asked for data: I don't see any immediate
suspects that could cause what you describe.